.titleBar { margin-bottom: 5px!important; }

chan_capi-Problem

Dieses Thema im Forum "Asterisk ISDN mit CAPI (chan_capi, chan_capi_cm)" wurde erstellt von DirkHo, 1 Apr. 2005.

  1. DirkHo

    DirkHo Neuer User

    Registriert seit:
    3 März 2005
    Beiträge:
    23
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hi,

    ich habe Asterisk so weit zum Laufen bekommen (Minimalkonfiguration, d.h. es geht nur telefonieren zwischen 2 PCs über Asterisk) und möchte das Ganze nun um eine TK-Anlage erweitern.

    Die Capi.conf habe ich geschrieben, auch die extensions wurde um eine Rufnummer / MSN erweitert und chan_capi ist installiert.

    Allerdings kommt beim Reload der extensions.conf die Fehlermeldung:

    Code:
     [chan_capi.so]Apr  1 20:06:34 WARNING[1024]: loader.c:240 ast_load_resource: /usr/lib/asterisk/modules/chan_capi.so: undefined symbol: ast_pthread_create
    Apr  1 20:06:34 WARNING[1024]: loader.c:359 load_modules: Loading module chan_capi.so failed!
    
    Die Asterisk-Version ist die Asterisk CVS-05/31/04-22:00:51

    Wie kann ich das denn bitte lösen? Kennt jemand diesen Fehler?

    Danke und Grüße,

    Dirk
     
  2. DirkHo

    DirkHo Neuer User

    Registriert seit:
    3 März 2005
    Beiträge:
    23
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Sorry, habe völlig vergessen zu posten, was wir genau verwenden:

    Distribution: Debian Linux
    ISDN-Karte: AVM Fritz! PCI
    Asterisk-Version: CVS-05/31/04-22:00:51

    Was wir bis jetzt gemacht haben: Das Teil runtergeladen (klar), entpackt und dann make install. Muß man vorab sonst noch was machen?

    Beim Eingeben von Capiinfo auf der Konsole bekomme ich auch positive Rückmeldung:

     
  3. Fundus

    Fundus Neuer User

    Registriert seit:
    11 März 2005
    Beiträge:
    5
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Nur ein kleiner Trost....

    Hallo,

    benutze AVM C4 - Suse 9.1 - selbe Asterisk "version" - chan ist eingebunden, Isdn-Prüfung positiv, scheint also alles zu laufen.

    Beim Laden erhalte ich exakt die gleiche Fehlermeldung und hab auch noch keine Lösung gefunden !

    Vielleicht kann ja einer helfen !
     
  4. rajo

    rajo Admin-Team

    Registriert seit:
    31 März 2004
    Beiträge:
    1,958
    Zustimmungen:
    0
    Punkte für Erfolge:
    36
    CVS-05/31/04 -- 31.05.2004 ... hmm... ein bisserl alt die *-version?
    Schonmal mit einer neuen *-version probiert?
    Versucht mal asterisk-1.0.4
     
  5. DirkHo

    DirkHo Neuer User

    Registriert seit:
    3 März 2005
    Beiträge:
    23
    Zustimmungen:
    0
    Punkte für Erfolge:
    0
    Hi,

    also wir haben das Obelix-Image jetzt nochmal drüber laufen lassen, weil CAPI da schon drauf ist. Der Fehler kommt jetzt nicht mehr. Stattdessen kommen, wenn ich asterisk -cvvvvv eingebe folgende Fehler:

    (Der ist ja klar, da wir keine Soundkarte haben ;-)

    Jetzt war es aber so, daß wir mit unserer CAPI.conf keine Clients (per X-Lite) mehr anmelden konnten. Nachdem ich nun die capi.conf gelöscht bzw. deren Inhalt gelöscht habe, können sich die Clients wieder anmelden.

    Kann mir da vielleicht jemand sagen, woran das liegt? Hier mal die capi.conf:


    Danke und Gruß,

    Dirk